| API Docs for SAX and DOM |
| Main Page Classes Files Related Pages Alphabetical List Class List Class Hierarchy Class Members # PSVIHandler Class Reference This abstract class provides the interface for the scanner to return PSVI information to the application. More... Inheritance diagram for PSVIHandler: [legend] List of all members.
## Public Member Functions
Destructor
virtual | ~PSVIHandler ()
The PSVI handler interface
virtual void | handleElementPSVI (const XMLCh *const localName, const XMLCh *const uri, PSVIElement *elementInfo)=0
| Receive notification of the PSVI properties of an element.
virtual void | handlePartialElementPSVI (const XMLCh *const localName, const XMLCh *const uri, PSVIElement *elementInfo)
| Receive notification of partial PSVI properties of an element.
virtual void | handleAttributesPSVI (const XMLCh *const localName, const XMLCh *const uri, PSVIAttributeList *psviAttributes)=0
| Enables PSVI information about attributes to be passed back to the application.
## Protected Member Functions
| PSVIHandler ()
## Detailed Description This abstract class provides the interface for the scanner to return PSVI information to the application. ## Constructor & Destructor Documentation
virtual PSVIHandler::~PSVIHandler | ( |  | ) | `[virtual]`
PSVIHandler::PSVIHandler | ( |  | ) | `[protected]`
## Member Function Documentation
virtual void PSVIHandler::handleElementPSVI | ( | const XMLCh *const | localName,
|  | const XMLCh *const | uri,
|  | PSVIElement * | elementInfo |
| ) |  |  | `[pure virtual]`
  Receive notification of the PSVI properties of an element. The scanner will issue this call after the XMLDocumentHandler endElement call. Since the scanner will issue the psviAttributes call immediately after reading the start tag of an element, all element content will be effectively bracketed by these two calls. Parameters:
  | localName | The name of the element whose end tag was just parsed.
  | uri | The namespace to which the element is bound
  | elementInfo | Object containing the element's PSVI properties
Implemented in AbstractDOMParser.
void PSVIHandler::handlePartialElementPSVI | ( | const XMLCh *const | localName,
|  | const XMLCh *const | uri,
|  | PSVIElement * | elementInfo |
| ) |  |  | `[virtual]`
  Receive notification of partial PSVI properties of an element. This callback is made right after the psviAttributes call for non-empty element. The PSVIElement passed in has all fields properly set and it can be safely accessed the same way as the one passed in handleElementPSVI. However, fields listed below always have default values. getValidity() PSVIItem::VALIDITY_NOTKNOWN getValidationAttemped() PSVIItem::VALIDATION_NONE getMemberTypeDefinition() 0 getSchemaNormalizedValue() 0 getCanonicalRepresentation() 0 getNotationDeclaration() 0 Parameters:
  | localName | The name of the element upon which start tag these attributes were encountered.
  | uri | The namespace to which the element is bound
  | elementInfo | Object containing the element's partial PSVI properties
Reimplemented in AbstractDOMParser.
virtual void PSVIHandler::handleAttributesPSVI | ( | const XMLCh *const | localName,
|  | const XMLCh *const | uri,
|  | PSVIAttributeList * | psviAttributes |
| ) |  |  | `[pure virtual]`
  Enables PSVI information about attributes to be passed back to the application. This callback will be made on *all* elements; on elements with no attributes, the final parameter will be null. Parameters:
  | localName | The name of the element upon which start tag these attributes were encountered.
  | uri | The namespace to which the element is bound
  | psviAttributes | Object containing the attributes' PSVI properties with information to identify them.
Implemented in AbstractDOMParser. The documentation for this class was generated from the following file: PSVIHandler.hpp

Copyright © 1994-2004 The Apache Software Foundation. All Rights Reserved.